import requests

from . import config

_data = {}

def load(force=False):
    global _data   # pylint: disable=global-statement
    if not _data or force:
        _data = {}
        response = requests.get(config.REPO_FILE_URL, auth=config.REGISTRY_AUTH, timeout=5)
        response.raise_for_status()
        _data = response.json()

def get_apps():
    load()
    return _data
